# FunctionToRun class Null safety

Inheritance
  - Object
  - ActionModel
  - FunctionToRun

## Constructors

FunctionToRun(dynamic super)

## Properties

actionToRun → dynamic Function()
  final
actionType → String?
  final, inherited
app → AppModel
  final, inherited
conditions ↔ DisplayConditionsModel?
  read / write, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

collectReferences({String? appId}) → dynamic
  override
copyWith(AppModel newApp) → ActionModel
  override
describe() → String
  override
hasAccess(BuildContext context) → dynamic
  inherited
message() → String
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toEntity({String? appId}) → ActionEntity
  override
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited